<?php
// this is the page that switches toolbar menu
// base on page and user group of the logged in users


//using switch case to switch the actions



//use if else statements


if($currentPage == 'gateway.php' &&  $act == '')
{
	//do nothing

}
else if($act == 'view_users')
{
	include'view_users.php';

}
else if($act == 'view_students')
{
	include'view_student.php';

}
else if($act == 'view_hostel_sites')
{
	include'view_hostel_site.php';

}
else if($act == 'view_hostel_categories')
{
	include'view_hostel_categories.php';

}
else if($act == 'view_hostel_rooms')
{
	include'view_hostel_rooms.php';

}

else if($act == 'add_users')
{
	include'add_users.php';

}
else if($act == 'add_students')
{
	include'add_student.php';

}
else if($act == 'add_hostel_site')
{
	include'add_hostel_site.php';

}
else if($act == 'allocate_new_student')
{
	include'allocate_new_student.php';

}
else if($act == 'add_hostel_categories')
{
	include'add_hostel_category.php';

}
else if($act == 'add_hostel_rooms')
{
	include'add_hostel_room.php';

}
else if($act == 'delete_users')
{
	include'confirm_delete_users.php';

}
else if($act == 'delete_students')
{
	include'confirm_delete_student.php';

}
else if($act == 'edit_user')
{
	include'edit_user.php';

}
else if($act == 'edit_hostel_site')
{
	include'edit_hostel_site.php';

}
else if($act == 'view_r_log_app_fees')
{
	include'view_students_payments_c.php';

}
else if($act == 'view_student_info_sys')
{
	//include'view_students_payments_c.php';

}
else if($act == 'view_students_per_course_ptd')
{
	//include'view_students_payments_c.php';

}
else if($act == 'view_student_info_sys_ptd')
{
	//include'view_students_payments_c.php';

}
else if($act == 'view_student_fin_sys_ptd')
{
	//include'view_students_payments_c.php';

}
else if($act == 'edit_allocation')
{
	include'edit_allocation.php';

}

else if($act == 'edit_hostel_categories')
{
	include'edit_hostel_category.php';

}
else if($act == 'edit_hostel_room')
{
	include'edit_hostel_room.php';

}
else if($act == 'edit_students')
{
	include'edit_student.php';

}
else if($act == 'view_profile')
{
	include'edit_profile.php';

}
else if($act == 'trashed_users')
{
	include'view_trashed_users.php';

}
else if($act == 'trashed_hostel_rooms')
{
	include'view_trashed_hostel_rooms.php';

}
else if($act == 'trashed_allocation_manager')
{
	include'view_trashed_allocation_manager.php';

}
else if($act == 'trashed_hostel_categories')
{
	include'view_trashed_hostel_categories.php';

}
else if($act == 'trashed_hostel_site')
{
	include'view_trashed_hostel_site.php';

}
else if($act == 'trashed_students')
{
	include'view_trashed_student.php';

}
else if($act == 'restore_users')
{
	include'confirm_restore_users.php';

}
else if($act == 'restore_students')
{
	include'confirm_restore_student.php';

}
else if($act == 'publish_users')
{
	include'publish_users.php';

}
else if($act == 'unpublish_users')
{
	include'unpublish_users.php';
}
else if($act == 'publish_students')
{
	include'publish_student.php';

}
else if($act == 'unpublish_students')
{
	include'unpublish_student.php';
}
else if($act == 'view_roles')
{/// view roles
	include'view_roles.php';

}
else if($act == 'add_roles')
{
	include'add_roles.php';

}
else if($act == 'delete_roles')
{
	include'confirm_delete_roles.php';

}
else if($act == 'edit_roles')
{
	include'edit_roles.php';

}
else if($act == 'trashed_roles')
{
	include'view_trashed_roles.php';

}
else if($act == 'restore_roles')
{
	include'confirm_restore_roles.php';

}
else if($act == 'publish_roles')
{
	include'publish_roles.php';

}
else if($act == 'unpublish_roles')
{
	include'unpublish_roles.php';
}//end of roles
else if($act == 'view_user_groups')
{/// view user_groups
	include'view_user_groups.php';

}
else if($act == 'add_user_groups')
{
	include'add_user_groups.php';

}
else if($act == 'delete_user_groups')
{
	include'confirm_delete_user_groups.php';

}
else if($act == 'edit_user_groups')
{
	include'edit_user_groups.php';

}
else if($act == 'trashed_user_groups')
{
	include'view_trashed_user_groups.php';

}
else if($act == 'restore_user_groups')
{
	include'confirm_restore_user_groups.php';

}
else if($act == 'publish_user_groups')
{
	include'publish_user_groups.php';

}
else if($act == 'unpublish_user_groups')
{
	include'unpublish_user_groups.php';
}//end of user_groups
else if($act == 'view_news')
{
	include'view_news.php';
}
else if($act == 'add_news')
{
	include'add_news.php';
}
else if($act == 'delete_news')
{
	include'confirm_delete_news.php';

}
else if($act == 'edit_news')
{
	include'edit_news.php';

}
else if($act == 'trashed_news')
{
	include'view_trashed_news.php';

}
else if($act == 'restore_news')
{
	include'confirm_restore_news.php';

}
else if($act == 'publish_news')
{
	include'publish_news.php';

}
else if($act == 'unpublish_news')
{
	include'unpublish_news.php';
}//end of news
else if($act == 'view_events')
{
	include'view_events.php';
}
else if($act == 'add_events')
{
	include'add_events.php';
}
else if($act == 'delete_events')
{
	include'confirm_delete_events.php';

}
else if($act == 'edit_events')
{
	include'edit_events.php';

}
else if($act == 'trashed_events')
{
	include'view_trashed_events.php';

}
else if($act == 'restore_events')
{
	include'confirm_restore_events.php';

}
else if($act == 'publish_events')
{
	include'publish_events.php';

}
else if($act == 'unpublish_events')
{
	include'unpublish_events.php';
}//end of events
else if($act == 'view_pictures')
{
	include'view_pictures.php';
}
else if($act == 'add_pictures')
{
	include'add_pictures.php';
}
else if($act == 'delete_pictures')
{
	include'confirm_delete_pictures.php';

}
else if($act == 'edit_pictures')
{
	include'edit_pictures.php';

}
else if($act == 'trashed_pictures')
{
	include'view_trashed_pictures.php';

}
else if($act == 'restore_pictures')
{
	include'confirm_restore_pictures.php';

}
else if($act == 'publish_pictures')
{
	include'publish_pictures.php';

}
else if($act == 'unpublish_pictures')
{
	include'unpublish_pictures.php';
}//end of pictures
else if($act == 'view_videos')
{
	include'view_videos.php';
}
else if($act == 'add_videos')
{
	include'add_videos.php';
}
else if($act == 'delete_videos')
{
	include'confirm_delete_videos.php';

}
else if($act == 'edit_videos')
{
	include'edit_videos.php';

}
else if($act == 'trashed_videos')
{
	include'view_trashed_videos.php';

}
else if($act == 'restore_videos')
{
	include'confirm_restore_videos.php';

}
else if($act == 'publish_videos')
{
	include'publish_videos.php';

}
else if($act == 'unpublish_videos')
{
	include'unpublish_videos.php';
}//end of videos
else if($act == 'view_fin_reports')//admission reports
{
	include'view_fin_reports.php';
}
else if($act == 'view_admission_reports')//admission reports
{
	include'view_admission_reports.php';
}
else if($act == 'view_admitted_applicants')//admission reports
{
	include'view_all_students.php';
}
else if($act == 'view_all_students')//admission reports
{
	include'view_applicants_per_course.php';
}
else if($act == 'view_all_applicants')//admission reports
{
	include'view_applicants_per_course.php';
}
else if($act == 'view_paid_applicants_app_fees')//admission reports
{
	include'view_applicants_per_course.php';
}
else if($act == 'add_faculties')
{
	include'add_faculties.php';
}
else if($act == 'delete_faculties')
{
	include'confirm_delete_faculties.php';

}
else if($act == 'edit_faculties')
{
	include'edit_faculties.php';

}
else if($act == 'trashed_faculties')
{
	include'view_trashed_faculties.php';

}
else if($act == 'restore_faculties')
{
	include'confirm_restore_faculties.php';

}
else if($act == 'publish_faculties')
{
	include'publish_faculties.php';

}
else if($act == 'unpublish_faculties')
{
	include'unpublish_faculties.php';

}//end of faculty
else if($act == 'view_departments')
{
	include'view_departments.php';
}
else if($act == 'add_departments')
{
	include'add_departments.php';
}
else if($act == 'delete_departments')
{
	include'confirm_delete_departments.php';

}
else if($act == 'edit_departments')
{
	include'edit_departments.php';

}
else if($act == 'trashed_departments')
{
	include'view_trashed_departments.php';

}
else if($act == 'restore_departments')
{
	include'confirm_restore_departments.php';

}
else if($act == 'publish_departments')
{
	include'publish_departments.php';

}
else if($act == 'unpublish_departments')
{
	include'unpublish_departments.php';

}//end of departments
else if($act == 'view_programmes')
{
	include'view_programmes.php';
}
else if($act == 'add_programmes')
{
	include'add_programmes.php';
}
else if($act == 'delete_programmes')
{
	include'confirm_delete_programmes.php';

}
else if($act == 'edit_programmes')
{
	include'edit_programmes.php';

}
else if($act == 'trashed_programmes')
{
	include'view_trashed_programmes.php';

}
else if($act == 'restore_programmes')
{
	include'confirm_restore_programmes.php';

}
else if($act == 'publish_programmes')
{
	include'publish_programmes.php';

}
else if($act == 'unpublish_programmes')
{
	include'unpublish_programmes.php';
}//end of programmes
else if($act == 'view_courses')
{
	include'view_courses.php';
}
else if($act == 'add_courses')
{
	include'add_courses.php';
}
else if($act == 'delete_courses')
{
	include'confirm_delete_courses.php';

}
else if($act == 'edit_courses')
{
	include'edit_courses.php';

}else if($act == 'trashed_courses')
{
	include'view_trashed_courses.php';

}
else if($act == 'restore_courses')
{
	include'confirm_restore_courses.php';

}
else if($act == 'publish_courses')
{
	include'publish_courses.php';

}
else if($act == 'unpublish_courses')
{
	include'unpublish_courses.php';
}//end of courses
else if($act == 'view_programmes_courses')
{
	include'view_programmes_courses.php';
}
else if($act == 'view_allocated_students')
{
	include'view_allocated_students.php';
}
else if($act == 'add_programmes_courses')
{
	include'add_programmes_courses.php';
}
else if($act == 'delete_programmes_courses')
{
	include'confirm_delete_programmes_courses.php';

}
else if($act == 'edit_programmes_courses')
{
	include'edit_programmes_courses.php';

}else if($act == 'trashed_programmes_courses')
{
	include'view_trashed_programmes_courses.php';

}
else if($act == 'restore_programmes_courses')
{
	include'confirm_restore_programmes_courses.php';

}
else if($act == 'publish_programmes_courses')
{
	include'publish_programmes_courses.php';

}
else if($act == 'unpublish_programmes_courses')
{
	include'unpublish_programmes_courses.php';
}
else if($act == 'add_supplementry_programmes_courses')
{
	include'add_supplementry_programmes_courses.php';
}//end of programmes_ courses
else if($act == 'view_supports')
{//begin support student
	include'view_supports.php';
}
else if($act == 'view_support_student')
{//begin support student
	include'view_support_student.php';
}
else if($act == 'view_support_staff')
{//begin support staff
	include'view_support_staff.php';
}
else if($act == 'view_support_system')
{//begin support system
	include'view_support_system.php';
}

else if($act == 'view_states')
{
	include'view_states.php';
}
else if($act == 'add_states')
{
	include'add_states.php';
}
else if($act == 'delete_states')
{
	include'confirm_delete_states.php';

}
else if($act == 'edit_states')
{
	include'edit_states.php';

}//end of states
else if($act == 'view_lgas')
{
	include'view_lgas.php';
}
else if($act == 'add_lgas')
{
	include'add_lgas.php';
}
else if($act == 'delete_lgas')
{
	include'confirm_delete_lgas.php';

}
else if($act == 'edit_lgas')
{
	include'edit_lgas.php';

} // end of lgas
else if($act == 'view_applicants')
{
	include'view_applicants.php';
}
else if($act == 'view_applicant_profile')
{
	include 'view_applicant_profile.php';
}
else if($act == 'view_reports')
{
	include'view_reports.php';
}
else if($act == 'view_applicant_reports')
{
	include 'view_applicant_reports.php';
}
else if($act == 'view_student_reports')
{
	include'view_student_reports.php';
}
else if($act == 'view_staff_reports')
{
	include'view_staff_reports.php';
}
else if($act == 'view_system_reports')
{
	include'view_system_reports.php';
}
else if($act == 'view_applicants_pin_list')
{//begin of view_applicants_pins_list
	include'view_applicants_pin_list.php';
}
else if($act == 'view_applicants_pins')
{
	include'view_applicants_pins.php';
}
else if($act == 'view_search_applicants')
{
	include'view_search_applicants.php';
}
else if($act == 'view_students_payments_b')
{
	include'view_students_payments_b.php';
}
else if($act == 'view_search_students_b')
{
	include'view_search_students_b.php';
}
else if($act == 'search_sb')
{
	include'confirm_students_payments_b.php';
}
else if($act == 'confirm_students_payments_b')
{
	//include 'generate_epin.php';
}//end of confirmation of payments
else if($act == 'view_applicants_per_course')
{
	include'view_applicants_per_course.php';
}

else if($act == 'view_admitted_applicants_per_course')
{
	include'view_admitted_applicants_per_course.php';
}
else if($act == 'view_all_admitted_applicants')
{
	include'view_all_admitted_applicants.php';
}
else if($act == 'view_r_log')
{
	include'view_r_log.php';
}
else if($act == 'view_rr_log')
{
	include'view_r_req_log.php';
}
else if($act == 'view_student_fin_sys')
{
	//include 'view_student_fin_system_landing.php';
}
else if($act == 'view_applicants_fin_summary')
{
	//include'tab_view_applicants_fin_summary.php';
}
else if($act == 'view_students_sch_fin_summary')
{
	//include'view_students_sch_fin_summary.php';
}
else if($act == 'search_c')
{
	include'generate_epin.php';
}
else if($act == 'generate_epin')
{
	//include 'generate_epin.php';
}
else if($act == 'view_system_backup')
{
	include 'view_system_backup.php';
}
else if($act == 'view_system_log')
{
	include'view_system_log.php';

}
else if($act == 'view_ip_filter')
{
	include'view_ip_filter.php';

}
else if($act == 'add_ips')
{
	include 'add_ips.php';

}
else if($act == 'delete_ips')
{
	include 'confirm_delete_ips.php';

}
else if($act == 'edit_ips')
{
	include 'edit_ips.php';

}
else if($act == 'trashed_ips')
{
	include'view_trashed_ips.php';

}
else if($act == 'restore_ips')
{
	include'confirm_restore_ips.php';

}
else if($act == 'view_control_boxs')
{
	include'view_control_boxs.php';

}
else if($act == 'add_control_boxs')
{
	include'add_control_boxs.php';

}
else if($act == 'delete_control_boxs')
{
	include'confirm_delete_control_boxs.php';

}
else if($act == 'edit_control_boxs')
{
	include'edit_control_boxs.php';

}
else if($act == 'trashed_control_boxs')
{
	include'view_trashed_control_boxs.php';

}
else if($act == 'restore_control_boxs')
{
	include'confirm_restore_control_boxs.php';

}
else if($act == 'view_not_qualified_applicants')
{
	include'view_not_qualified_applicants.php';

}
else if($act == 'view_qualified_applicants')
{
	include'view_not_qualified_applicants.php';
	//include'view_not_qualified_applicants.php';

}
else if($act == 'view_dashboard')
{
	include'view_allocated_students.php';
	//include'view_not_qualified_applicants.php';

}
else
{
	include 'no_match_action.php';
}





?>
